# norootforbuild

Name:       SoQt
Version:    1.5.0
Release:    1.pm.5.5
Summary:    A library which provides the glue between Coin and Qt
Group:      System/Libraries
License:    GPL
URL:        http://www.coin3d.org/lib/soqt
Source0:     SoQt-%{version}.tar.bz2
Source90:    SoQt-rpmlintrc
Patch0:      SoQt-qt4-includes.patch
Patch1:      SoQt-man3.patch
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:  gcc-c++
BuildRequires:  Coin-devel
BuildRequires:  doxygen
BuildRequires:  libqt4-devel

%description
The core rendering library Coin is a multiplatform high-level 3D graphics
library with a C++ API. Coin uses OpenGL for accelerated rendering, while
providing a higher abstraction level, 3D interactivity, and many complex
optimization features for fast rendering that are transparent for the
application programmer, thus facilitating the development of interactive 3D
applications and greatly increasing productivity.

%package devel
Summary: Development files for SoQt
Group:  Development/Libraries/C and C++
Requires: %{name} = %{version}
Requires: libSoQt20
Requires: Mesa-devel
Requires: libqt4-devel
Requires: libpng-devel
Requires: glib2-devel
Requires: Coin-devel

%description devel
By using the combination of Coin, Qt and SoQt for your 3D applications, you
have a framework for writing completely portable software across the whole range
of UNIX, Linux, Microsoft Windows and Mac OS X operating systems. Coin, Qt and
SoQt makes this possible from a 100% common codebase, which means there is a
minimum of hassle for developers when working on multiplatform software, with
the resulting large gains in productivity.

%package doc
Summary:    SoQt is a library which provides the glue between Coin and Qt
Group:      Documentation/HTML
Requires: %name = %version

%description doc
By using the combination of Coin, Qt and SoQt for your 3D applications, you
have a framework for writing completely portable software across the whole range
of UNIX, Linux, Microsoft Windows and Mac OS X operating systems. Coin, Qt and
SoQt makes this possible from a 100% common codebase, which means there is a
minimum of hassle for developers when working on multiplatform software, with
the resulting large gains in productivity.

%package -n libSoQt20
Summary:     SoQt is a library which provides the glue between Coin and Qt
Group:       System/Libraries
Provides:	SoQt >= %version
Obsoletes:	SoQt < %version

%description -n libSoQt20
By using the combination of Coin, Qt and SoQt for your 3D applications, you
have a framework for writing completely portable software across the whole range
of UNIX, Linux, Microsoft Windows and Mac OS X operating systems. Coin, Qt and
SoQt makes this possible from a 100% common codebase, which means there is a
minimum of hassle for developers when working on multiplatform software, with
the resulting large gains in productivity.



%prep
%setup -q -n SoQt-%{version}

%patch0 -b .sav
%patch1 -b .sav

%build
export SUSE_ASNEEDED=0

export CFLAGS="$RPM_OPT_FLAGS"
export CXXFLAGS="$RPM_OPT_FLAGS"
%if %suse_version <= 1110
export QTDIR="%{_libdir}"
%endif
%if %suse_version == 1110
export QT_VERSION=443
%endif
%if %suse_version == 1120
export QT_VERSION=453
export QTDIR="%{_libdir}/qt4/lib"
%endif
%if %suse_version == 1130
export QT_VERSION=463
export QTDIR="%{_libdir}/qt4/lib"
%endif
export htmldir=%{_defaultdocdir}/SoQt/html \
export htmlhelpdir=%{_defaultdocdir}/SoQt/htmlhelp

%configure \
        --disable-msvc \
        --enable-html \
        --enable-man \
        --enable-exceptions \
        --with-x

%__make %{?jobs:-j%jobs}

%install
%makeinstall

rm -rf %buildroot/%_libdir/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post -n libSoQt20 -p /sbin/ldconfig 

%postun -n libSoQt20 -p /sbin/ldconfig 


%files -n libSoQt20
%defattr(-,root,root,0755)
%dir %{_datadir}/Coin
%{_datadir}/Coin/conf/soqt-default.cfg
%{_libdir}/libSoQt.so.*

%files doc
%defattr(-,root,root,0755)
%dir %{_datadir}/doc/soqt
%{_datadir}/doc/soqt/*

%files devel
%defattr(-,root,root,0755)
%{_bindir}/soqt-config
%dir %{_includedir}/Inventor/Qt
%{_includedir}/Inventor/Qt/*
%{_libdir}/libSoQt.so
%{_libdir}/pkgconfig/SoQt.pc
%{_datadir}/aclocal/soqt.m4
%doc %{_mandir}/man1/soqt-config.1.gz
%doc %{_mandir}/man3/*.gz

%changelog
* Fri Dec 10 2010 Andrea Florio <andrea@links2linux.de> - 1.5.0
- new upstream version 1.5.0
* Sat Jan 09 2010 Toni Graffy <toni@links2linux.de> - 1.4.1-1.pm.1
- fix 11.2 build
* Sun Sep 28 2008 - Andrea Florio <andrea@links2linux.de> - 1.4.1-1.pm.1
- complete spec rewrite
* Sun Nov 18 2007 Michal Vyskocil <mvyskocil@suse.cz> - 1.4.1-1.pm.1
- First release for OpenSuse Build Service
